Try our new Setup Skill to automatically integrate Hyperspell into your project
curl --request POST \
--url https://api.hyperspell.com/auth/device-login \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-As-User: <api-key>' \
--data '
{
"app_slug": "<string>",
"device_name": "<string>",
"requester_name": "<string>"
}
'{
"device_code": "<string>",
"login_url": "<string>",
"poll_interval": 2,
"expires_in": 600
}Start a device login flow. Returns a code the user enters in the dashboard.
curl --request POST \
--url https://api.hyperspell.com/auth/device-login \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-As-User: <api-key>' \
--data '
{
"app_slug": "<string>",
"device_name": "<string>",
"requester_name": "<string>"
}
'{
"device_code": "<string>",
"login_url": "<string>",
"poll_interval": 2,
"expires_in": 600
}API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token
Was this page helpful?